import { GLightboxPlugin } from 'glightbox-plugin';

declare class DragNavigation extends GLightboxPlugin {
    name: string;
    type: string;
    options: DragOptions;
    isDown: boolean;
    slider: HTMLElement | null;
    actveSlide: HTMLElement | null;
    startX: number;
    scrollLeft: number;
    activeSlideIndex: number;
    movedAmount: number;
    movedDirection: string;
    defaults: DragOptions;
    mouseDownEvent: ((e: MouseEvent) => void) | null;
    mouseLeaveEvent: ((e: MouseEvent) => void) | null;
    mouseUpEvent: ((e: MouseEvent) => void) | null;
    mouseMoveEvent: ((e: MouseEvent) => void) | null;
    constructor(options?: Partial<DragOptions>);
    init(): void;
    destroy(): void;
    onMouseDown(e: MouseEvent): void;
    onMouseUp(): void;
    onMouseMove(e: MouseEvent): void;
    onMouseLeave(): void;
    removeDragClass(): void;
}
export default DragNavigation;

export declare interface DragOptions {
    dragToleranceX?: number;
}

export { }
