import type { BuildParams } from 'glightbox-plugin';
import { GLightboxPlugin } from 'glightbox-plugin';

export declare class DragNavigation extends GLightboxPlugin {
    name: string;
    type: string;
    options: DragOptions;
    isDown: boolean;
    slider: HTMLElement | null;
    actveSlide: HTMLElement | null;
    startX: number;
    scrollLeft: number;
    activeSlideIndex: number;
    movedAmount: number;
    movedDirection: string;
    defaults: DragOptions;
    mouseDownEvent: ((e: MouseEvent) => void) | null;
    mouseLeaveEvent: ((e: MouseEvent) => void) | null;
    mouseUpEvent: ((e: MouseEvent) => void) | null;
    mouseMoveEvent: ((e: MouseEvent) => void) | null;
    constructor(options?: Partial<DragOptions>);
    init(): void;
    destroy(): void;
    onMouseDown(e: MouseEvent): void;
    onMouseUp(): void;
    onMouseMove(e: MouseEvent): void;
    onMouseLeave(): void;
    removeDragClass(): void;
}

declare interface DragOptions {
    dragToleranceX?: number;
}

declare interface ImageOptions {
    maxWidth?: string;
    matchFn?: Function;
}

export declare class ImageSlide extends GLightboxPlugin {
    name: string;
    type: string;
    options: ImageOptions;
    defaults: ImageOptions;
    constructor(options?: Partial<ImageOptions>);
    match(url: string): boolean;
    build({ index, slide, config }: BuildParams): Promise<boolean>;
    cssStyle(): string;
}

export declare class KeyboardNavigation extends GLightboxPlugin {
    name: string;
    type: string;
    largest: number;
    keyBoardEvent: any | null;
    constructor();
    init(): void;
    destroy(): void;
    onKeyDown(event: KeyboardEvent): void;
}

export { }
